Cannot install .NET Framework 4.0 in ubuntu 16.04

Questions about Wine on Linux
Post Reply
Bhanu
Level 1
Level 1
Posts: 5
Joined: Fri Oct 18, 2019 4:11 am

Cannot install .NET Framework 4.0 in ubuntu 16.04

Post by Bhanu » Fri Oct 18, 2019 10:40 am

I have tried to install under clean 32-bit prefix by WINEARCH=win32 winetricks dotnet40 or even delete .wine folder and the execute " WINEARCH=win32 WINPREFIX=~/.wine winecfg" for setup. Also delete registries etc.....




Any idea on that and Thanks a lot.




p.s. the command window showed the following error:

Working around wine bug 30707 -- Manually registering assemblies
------------------------------------------------------
gacutil.exe
gacutil.exe.config
0045:err:module:import_dll Library mscoree.dll (which is needed by L"C:\\windows\\temp\\_dotnet40\\gacutil.exe") not found
0045:err:module:attach_dlls Importing dlls for L"C:\\windows\\temp\\_dotnet40\\gacutil.exe" failed, status c0000135
0049:err:module:import_dll Library mscoree.dll (which is needed by L"C:\\windows\\temp\\_dotnet40\\gacutil.exe") not found
0049:err:module:attach_dlls Importing dlls for L"C:\\windows\\temp\\_dotnet40\\gacutil.exe" failed, status c0000135
cp: cannot stat '/home/bhanu/.wine/dosdevices/c:/windows/Microsoft.NET/Framework/v4.0.30319/System.EnterpriseServices.dll': No such file or directory
------------------------------------------------------
Note: command 'load_dotnet40' returned status 1. Aborting.

jkfloris
Level 6
Level 6
Posts: 686
Joined: Thu Aug 14, 2014 10:10 am

Re: Cannot install .NET Framework 4.0 in ubuntu 16.04

Post by jkfloris » Sat Oct 19, 2019 9:01 am

Which version of Winetricks do you use?

Code: Select all

winetricks --version

Bhanu
Level 1
Level 1
Posts: 5
Joined: Fri Oct 18, 2019 4:11 am

Re: Cannot install .NET Framework 4.0 in ubuntu 16.04

Post by Bhanu » Sun Oct 20, 2019 12:03 am

bhanu@bhanu-Lenovo-ideapad-320-15ISK:~$ winetricks --version
20140817

jkfloris
Level 6
Level 6
Posts: 686
Joined: Thu Aug 14, 2014 10:10 am

Re: Cannot install .NET Framework 4.0 in ubuntu 16.04

Post by jkfloris » Sun Oct 20, 2019 11:02 am

Your Winetricks version is ancient. Please, update to the latest version (20190912) and try again.

Read the wiki how to update: https://wiki.winehq.org/Winetricks
or download the deb-package from Eoan: https://packages.ubuntu.com/eoan/all/wi ... s/download

Bhanu
Level 1
Level 1
Posts: 5
Joined: Fri Oct 18, 2019 4:11 am

Re: Cannot install .NET Framework 4.0 in ubuntu 16.04

Post by Bhanu » Mon Oct 21, 2019 2:02 am

UPDATED
winetricks --version
20190912-next - sha256sum: 109b53f89947c50784013bc4d66fda87a95a7ab935e0fa1873090140bc155315

But it gets up with a new problems, the errors are as follow

mono does not appear to be installed

002d:err:secur32:SECUR32_initSchannelSP TLS library not found, SSL connections will fail

002d:err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.

This program tried to use a DOMDocument object, but
libxml2 support was not present at compile time.

and finally

dotnet40 install completed, but installed file /home/bhanu/.wine/dosdevices/c:/windows/Microsoft.NET/Framework/v4.0.30319/ngen.exe not found

jkfloris
Level 6
Level 6
Posts: 686
Joined: Thu Aug 14, 2014 10:10 am

Re: Cannot install .NET Framework 4.0 in ubuntu 16.04

Post by jkfloris » Mon Oct 21, 2019 3:49 am

002d:err:secur32:SECUR32_initSchannelSP TLS library not found, SSL connections will fail
How did you install Wine? If you follow these steps the gnutls packages will be installed.
002d:err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
Have you tried what it says? Install the winbind package.
This program tried to use a DOMDocument object, but
libxml2 support was not present at compile time.
Which Wine version do you use?
 

Bhanu
Level 1
Level 1
Posts: 5
Joined: Fri Oct 18, 2019 4:11 am

Re: Cannot install .NET Framework 4.0 in ubuntu 16.04

Post by Bhanu » Mon Oct 21, 2019 10:03 am

jkfloris wrote:
Mon Oct 21, 2019 3:49 am
This program tried to use a DOMDocument object, but
libxml2 support was not present at compile time.
Which Wine version do you use?
 
wine version 4.0.2
But the problem of libxml2 is solved by running the following command

winetricks msxml3 msxml4 msxml6

dotnet 40 successfully installed

Thank You for the support.

Post Reply